%define real_name PyYAML

Name:           python-yaml
Version:        3.10
Release:        %mkrel 5
Epoch:          0
Summary:        Python package implementing YAML parser and emitter
License:        MIT
Group:          Development/Python
URL:            http://pyyaml.org/
Source0:        http://pyyaml.org/download/pyyaml/PyYAML-%{version}.tar.gz
Provides:       %{real_name} = %{epoch}:%{version}-%{release}
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  yaml-devel 

%description
PyYAML is a YAML parser and emitter for the Python programming
language. 

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%package -n python3-yaml
Summary:        YAML parser and emitter for Python
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-yaml
PyYAML is a YAML parser and emitter for the Python programming
language. 

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%prep
%setup -q -n %{real_name}-%{version}
chmod a-x examples/yaml-highlight/yaml_hl.py
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%{__python} setup.py install -O2 --skip-build --root=%{buildroot} --prefix=%{_prefix}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%files
%doc LICENSE README examples
%{python_sitearch}/yaml
%{python_sitearch}/*.so
%{python_sitearch}/*.egg-info

%files -n python3-yaml
%doc LICENSE README examples
%{python3_sitearch}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0:3.10-5.mga4
+ Revision: 544450
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0:3.10-4.mga4
+ Revision: 499780
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0:3.10-3.mga4
+ Revision: 474156
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0:3.10-2.mga3
+ Revision: 379721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 fwang <fwang> 0:3.10-1.mga2
+ Revision: 125322
- new version 3.10

* Sat Feb 26 2011 eandry <eandry> 0:3.09-3.mga2
+ Revision: 60843
- drop buildroot
- imported package python-yaml


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0:3.09-3mdv2011.0
+ Revision: 590784
- rebuild for py2.7

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0:3.09-2mdv2010.1
+ Revision: 472674
- rebuild for new libyaml

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0:3.09-1mdv2010.1
+ Revision: 472661
- new version 3.09

* Fri Jan 02 2009 Adam Williamson <awilliamson@mandriva.org> 0:3.08-1mdv2009.1
+ Revision: 323250
- new release 3.08

* Mon Dec 29 2008 Funda Wang <fwang@mandriva.org> 0:3.07-1mdv2009.1
+ Revision: 320837
- New version 3.07

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0:3.06-2mdv2009.1
+ Revision: 318986
- rebuild for new python

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0:3.06-1mdv2009.1
+ Revision: 291764
- New version 3.06

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0:3.05-2mdv2009.0
+ Revision: 225165
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0:3.05-1mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 02 2007 David Walluck <walluck@mandriva.org> 0:3.05-1mdv2008.0
+ Revision: 34457
- Import python-yaml



* Fri Jun 01 2007 David Walluck <walluck@mandriva.org> 0:3.05-1mdv2008.0
- release
